%define rname pylibacl
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Posix ACL module for Python
Name: 		python-%{rname}
Version: 	0.5.2
Release: 	%mkrel 6
License:	GPL
Group: 		Development/Python
URL: 		http://pylibacl.k1024.org/
Source0: 	https://pypi.python.org/packages/source/p/%{rname}/%{rname}-%{version}.tar.gz
BuildRequires:	acl-devel
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Provides:	%{rname} = %{version}-%{release}
Obsoletes:	%{rname}

%description
This is an extension for Python which implements POSIX ACLs (POSIX.1e).

%package -n python3-%{rname}
Summary:	Posix ACL module for Python 3
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{rname}
This is an extension for Python3 which implements POSIX ACLs (POSIX.1e).

%prep
%setup -q -n %{rname}-%{version}
cp -a . %{py3dir} 

%build
env CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%{python_sitearch}/*egg-info
%{python_sitearch}/*.so

%files -n python3-%{rname}
%{python3_sitearch}/*egg-info
%{python3_sitearch}/*.so 



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.5.2-6.mga6
+ Revision: 958647
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.2-5.mga6
+ Revision: 888864
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-4.mga5
+ Revision: 749613
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.2-3.mga5
+ Revision: 729463
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-2.mga5
+ Revision: 688261
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 philippem <philippem> 0.5.2-1.mga5
+ Revision: 655317
- update to 0.5.2, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 543934
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-3.mga4
+ Revision: 499228
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 379375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.5.1-1.mga3
+ Revision: 290088
- New upstream release 0.5.1

* Thu Apr 14 2011 ahmad <ahmad> 0.5.0-2.mga1
+ Revision: 85433
- imported package python-pylibacl


* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 514023
- Update to new version 0.5.0

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 319761
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 305901
- update to new version 0.4.0

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.2.2-2mdv2009.0
+ Revision: 219582
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.2-1mdv2008.0
+ Revision: 55865
- update to new version 0.2.2

* Fri Jun 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2008.0
+ Revision: 45748
- Import python-pylibacl



* Fri Jun 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2008.0
- renamed from pylibacl to python-pylibacl

* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 0.2.1-2mdk
- Rebuild for new python

* Tue Jul 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.1-1mdk
- First Mandrake package
